Name: xfprint
Version: 4.4.2
Release: alt0.S40.1

Summary: Print dialog and printer manager for XFce
License: BSD-style
Group: Graphical desktop/XFce
Url: http://www.xfce.org/
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Source: ftp://ftp.berlios.de/pub/xfce-goodies/%version/%name-%version.tar.bz2
Source1: xfprint-ru.po

Requires: glib2 >= 2.2.0, libxfcegui4 >= %version, psutils, a2ps, libgtk+2-common
BuildPreReq: glib2-devel >= 2.2.0, libxfcegui4-devel >= %version, a2ps
BuildPreReq: xfce-mcs-manager-devel >= 4.4.0 xfce4-dev-tools >= 4.4.0

# Automatically added by buildreq on Mon Nov 19 2007
BuildRequires: gcc-c++ gtk-doc libcups-devel libssl-devel xfce-mcs-manager-devel xfce4-dev-tools zlib-devel intltool

%description
%name contains a print dialog and a printer manager for the XFce Desktop
Environment.

%package devel
Summary: Development files for print manager for XFce4
Group: Development/C++
%description devel
Development files for print manager for XFce4

%package devel-doc
Requires: xfprint-devel = %version
Summary: Documentation files for print manager for XFce4
Group: Development/Documentation

%description devel-doc
Documentation  files for print manager for XFce4

%prep
%setup
cp %SOURCE1 po/ru.po

%build
libtoolize --force --copy
intltoolize --force
aclocal -I %_datadir/xfce4/dev-tools/m4macros
automake -acf
autoconf
%configure \
	--enable-cups \
	--disable-letter \
	--enable-gtk-doc \
	--enable-debug=no

%make_build

%install
%make install DESTDIR=%buildroot
%find_lang %name

%post
%_bindir/gtk-update-icon-cache
%postun
%_bindir/gtk-update-icon-cache

%files -f %name.lang
%doc README ChangeLog NEWS INSTALL COPYING AUTHORS
%doc %_datadir/xfce4/doc/*/images/*
%doc %_datadir/xfce4/doc/*/*.html
%_desktopdir/*
%_bindir/*
%_libdir/xfce4/mcs-plugins/*.so
%exclude %_libdir/xfce4/mcs-plugins/*.a
%exclude %_libdir/xfce4/mcs-plugins/*.la
%dir %_libdir/xfce4/xfprint-plugins/
%_libdir/xfce4/xfprint-plugins/*.so
%exclude %_libdir/xfce4/xfprint-plugins/*.la
%exclude %_libdir/xfce4/xfprint-plugins/*.a
%_iconsdir/hicolor/*/devices/printer.*
%_libdir/lib%name.so.*

%files devel
%_includedir/xfce4/lib%name/*
%_libdir/lib%name.so
%exclude %_libdir/lib%name.a
%_pkgconfigdir/*.pc

%files devel-doc
%dir %_datadir/gtk-doc/html/libxfprint
%_datadir/gtk-doc/html/libxfprint/*

%changelog
* Mon Jun 23 2008 Andrey Cherepanov <cas@altlinux.ru> 4.4.2-alt0.S40.1
- update Russian translation

* Tue Jan 15 2008 Eugene Ostapets <eostapets@altlinux.org> 4.4.2-alt0.M40
- backport for branch

* Mon Nov 19 2007 Eugene Ostapets <eostapets@altlinux.org> 4.4.2-alt1
- Xfce 4.4.2 release

* Sun Jun 17 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.1-alt2
- fix 12006
- fix 11696

* Sat Apr 14 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.1-alt1
- Xfce 4.4.1 release

* Mon Jan 22 2007 Eugene Ostapets <eostapets@altlinux.ru> 4.4.0-alt0.1
- Xfce 4.4 release

* Sun Nov 05 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.2-alt1
- Xfce 4.4rc2

* Mon Oct 30 2006 Eugene Ostapets <eostapets@altlinux.ru>  4.3.99.1-alt2
- Fix buildreq and cleanup spec

* Sun Oct 01 2006 Eugene Ostapets <eostapets@altlinux.ru> 4.3.99.1-alt1
- 4.4rc1

* Tue Nov 15 2005 Eugene Ostapets <eostapets@altlinux.ru> 4.2.3-alt1
- 4.2.3

* Wed May 18 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.2-alt1
- 4.2.2

* Thu Mar 17 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.1-alt1
- 4.2.1

* Sat Jan 15 2005 Andrey Astafiev <andrei@altlinux.ru> 4.2.0-alt1
- 4.2.0

* Fri Dec 24 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.99.3-alt1
- 4.1.99.3

* Mon Nov 01 2004 Andrey Astafiev <andrei@altlinux.ru> 4.1.91-alt1
- 4.1.91

* Wed Jul 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.6-alt1
- 4.0.6

* Sat Apr 17 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.5-alt1
- 4.0.5

* Tue Mar 16 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.4-alt1
- 4.0.4

* Wed Jan 21 2004 Andrey Astafiev <andrei@altlinux.ru> 4.0.3-alt1
- 4.0.3

* Tue Dec 23 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.2-alt1
- 4.0.2

* Tue Nov 18 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.1-alt1
- 4.0.1

* Fri Sep 26 2003 Andrey Astafiev <andrei@altlinux.ru> 4.0.0-alt1
- 4.0.0

* Fri Sep 12 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.4-alt1
- 3.99.4

* Fri Aug 29 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.3-alt0.9
- 3.99.3

* Sun Aug 17 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.2-alt0.9
- 3.99.2

* Mon Jul 14 2003 Andrey Astafiev <andrei@altlinux.ru> 3.99.1-alt0.9
- 3.99.1

* Fri Jun 13 2003 Andrey Astafiev <andrei@altlinux.ru> 3.90.0-alt0.9
- First version of RPM package for Sisyphus.
- Spec derived from original version.
